%define api	0.2

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		grilo-plugins
Version:	0.2.9
Release:	%mkrel 4
Summary:	Plugins for the Grilo framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://wiki.gnome.org/Grilo
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.13
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.5
BuildRequires:	pkgconfig(libdmapsharing-3.0) >= 2.9.12
BuildRequires:	pkgconfig(libgdata) >= 0.7.0
#BuildRequires:	pkgconfig(libquvi) >= 0.2.15
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	tracker-vala
BuildRequires:	pkgconfig(totem-plparser) >= 3.4.1
BuildRequires:	grilo-devel >= 0.2.4
BuildRequires:	libgcrypt-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
Requires:	grilo >= 0.2.4

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Filesystem
- Flickr
- Gravatar
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Podcasts
- Shoutcast
- Tracker
- UPnP
- Vimeo
- Youtube

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-fakemetadata \
	--disable-shoutcast \
	--enable-apple-trailers \
	--enable-bookmarks \
	--enable-fakemetadata \
	--enable-filesystem \
	--enable-flickr	\
	--enable-gravatar \
	--enable-jamendo \
	--enable-lastfm-albumart \
	--enable-localmetadata \
	--enable-metadata-store \
	--enable-podcasts \
	--enable-shoutcast \
	--enable-tracker \
	--enable-upnp \
	--disable-vimeo \
	--disable-youtube
%make

%install
%makeinstall_std

# Remove files that will not be packaged
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libdir}/grilo-%{api}/grl-apple-trailers.xml
%{_libdir}/grilo-%{api}/libgrlappletrailers.so

%{_libdir}/grilo-%{api}/grl-bliptv.xml
%{_libdir}/grilo-%{api}/libgrlbliptv.so

%{_libdir}/grilo-%{api}/grl-bookmarks.xml
%{_libdir}/grilo-%{api}/libgrlbookmarks.so

%{_libdir}/grilo-%{api}/grl-fake-metadata.xml
%{_libdir}/grilo-%{api}/libgrlfakemetadata.so

%{_libdir}/grilo-%{api}/grl-filesystem.xml
%{_libdir}/grilo-%{api}/libgrlfilesystem.so

%{_libdir}/grilo-%{api}/grl-flickr.xml
%{_libdir}/grilo-%{api}/libgrlflickr.so

%{_libdir}/grilo-%{api}/grl-gravatar.xml
%{_libdir}/grilo-%{api}/libgrlgravatar.so

%{_libdir}/grilo-%{api}/grl-jamendo.xml
%{_libdir}/grilo-%{api}/libgrljamendo.so

%{_libdir}/grilo-%{api}/grl-lastfm-albumart.xml
%{_libdir}/grilo-%{api}/libgrllastfm-albumart.so

%{_libdir}/grilo-%{api}/grl-local-metadata.xml
%{_libdir}/grilo-%{api}/libgrllocalmetadata.so

%{_libdir}/grilo-%{api}/grl-metadata-store.xml
%{_libdir}/grilo-%{api}/libgrlmetadatastore.so

%{_libdir}/grilo-%{api}/grl-podcasts.xml
%{_libdir}/grilo-%{api}/libgrlpodcasts.so

%{_libdir}/grilo-%{api}/grl-shoutcast.xml
%{_libdir}/grilo-%{api}/libgrlshoutcast.so

%{_libdir}/grilo-%{api}/grl-tracker.xml
%{_libdir}/grilo-%{api}/libgrltracker.so

%{_libdir}/grilo-%{api}/grl-upnp.xml
%{_libdir}/grilo-%{api}/libgrlupnp.so

#{_libdir}/grilo-%{api}/grl-vimeo.xml
#{_libdir}/grilo-%{api}/libgrlvimeo.so

#{_libdir}/grilo-%{api}/grl-youtube.xml
#{_libdir}/grilo-%{api}/libgrlyoutube.so

%{_libdir}/grilo-%{api}/grl-optical-media.xml
%{_libdir}/grilo-%{api}/libgrloptical-media.so

%{_libdir}/grilo-%{api}/grl-tmdb.xml
%{_libdir}/grilo-%{api}/libgrltmdb.so

%{_libdir}/grilo-%{api}/grl-dmap.xml
%{_libdir}/grilo-%{api}/libgrldmap.so

%{_libdir}/grilo-%{api}/grl-magnatune.xml
%{_libdir}/grilo-%{api}/libgrlmagnatune.so

%{_libdir}/grilo-%{api}/grl-raitv.xml
%{_libdir}/grilo-%{api}/libgrlraitv.so

%{_datadir}/gnome/help/%{name}


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 0.2.9-4.mga4
+ Revision: 550174
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.2.9-3.mga4
+ Revision: 535148
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 fwang <fwang> 0.2.9-2.mga4
+ Revision: 481268
- rebuild for new totem-pl-parser

* Sun Aug 25 2013 ovitters <ovitters> 0.2.9-1.mga4
+ Revision: 471788
- new version 0.2.9

* Wed May 29 2013 fwang <fwang> 0.2.8-3.mga4
+ Revision: 430512
- disable vimeo as it does not support libquvi-0.9
- disable youtube as it does not support libquvi0.9
- rebuild

* Wed May 29 2013 fwang <fwang> 0.2.8-2.mga4
+ Revision: 430483
- disable quvi to wait upstream support quvi-0.9

* Sun May 26 2013 dams <dams> 0.2.8-1.mga4
+ Revision: 427831
- new version 0.2.8

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 352634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.2.5-1.mga3
+ Revision: 339181
- add BuildRequires: gnome-doc-utils
- patch2: fix build with automake 1.13
- don't buildrequire the same version of grilo-devel
- update filelist

  + ovitters <ovitters>
    - new version 0.2.5
    - new version 0.2.4

* Sun Nov 11 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 316993
- new version 0.2.3

* Sun Oct 07 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 303191
- update file list
- update file list

  + ovitters <ovitters>
    - new version 0.2.2

* Wed Oct 03 2012 ovitters <ovitters> 0.2.1-1.mga3
+ Revision: 302307
- new version 0.2.1

* Wed Sep 05 2012 ovitters <ovitters> 0.2.0-1.mga3
+ Revision: 288302
- fix api
- new version 0.2.0

* Fri Aug 10 2012 ovitters <ovitters> 0.1.20-1.mga3
+ Revision: 280413
- new version 0.1.20

* Fri Jun 01 2012 fwang <fwang> 0.1.19-2.mga3
+ Revision: 252698
- update file list
- add br

* Fri Jun 01 2012 fwang <fwang> 0.1.19-1.mga3
+ Revision: 252673
- new version 0.1.19

* Sat Feb 25 2012 wally <wally> 0.1.18-3.mga3
+ Revision: 214346
- rebuild for new tracker (add P0 from upstream GIT)

* Sun Feb 12 2012 fwang <fwang> 0.1.18-2.mga2
+ Revision: 208160
- rebuild for new libquvi

* Fri Dec 09 2011 wally <wally> 0.1.18-1.mga2
+ Revision: 179713
- new version 0.1.18
- drop P0, fixed upstream
- enable fakemetadata and shoutcast plugins

* Tue Sep 06 2011 fwang <fwang> 0.1.17-1.mga2
+ Revision: 139062
- update br
- support tracker 0.12
- new version 0.1.17
- rediff some patches
- support tracker 0.12
- fix req
- recognize tracker 0.11
- br quvi
- tweak br
- imported package grilo-plugins

  + wally <wally>
    - add P2 from upstream
    - rebuild for new gmime (add P3)

